#! /usr/bin/env python
# -*- coding: utf-8 -*-
# vim:fenc=utf-8


import os
import yaml

def get():
    dirname = os.path.dirname(os.path.abspath(__file__))
    env = os.environ.get('AI_AGENT_ENV', 'dev')
    if env not in ('dev', 'pre', 'prod'):
        raise ValueError(f"Invalid environment: {env}. Expected one of ('dev', 'pre', 'prod').")
    return yaml.safe_load(open(f'{dirname}/{env}.yaml').read())

def get_env():
    env = os.environ.get('AI_AGENT_ENV', 'dev')
    return env